{% extends 'dataview.html.twig' %}
{% import 'macro/_forms.html.twig' as macro %}

{% block pageTitle "Liste des entités de l'application" %}

{% block pageActions %}
    {{ macro.addButton('app_organisation_add', 'Ajout', 'text-left') }}
{% endblock %}

{% block pageTable %}
    <table class="table table-striped table-hover">
        <thead>
            <tr>
                <th scope="col">Entité</th>
                <th scope="col">Nombre d'utilisateurs</th>
                <th scope="col">Actions</th>
            </tr>
        </thead>
        <tbody>
            {% for organisation in organisations %}
                <tr>
                    <th>{{ organisation.raisonsociale }}</th>
                    <th></th>
                    <th>
                        {{ macro.editButton('app_organisation_edit', organisation.id) }}
                        {{ macro.showButton('app_organisation_show', organisation.id) }}
                        {% if organisation.articles is empty  %}
                            {{ macro.deleteButtonModal(
                                organisation.id,
                                'Suppression d\'une entité',
                                'app_organisation_delete',
                                'Voulez-vous vraiment supprimer cette entité ?',
                                organisations.currentPageNumber
                            ) }}
                        {% endif %}
                    </th>
                </tr>
            {% endfor %}
        </tbody>
    </table>
{% endblock %}

{% block pagePagination knp_pagination_render(organisations) %}
